## qt6-declarative 6.2.4+dfsg

=== CMakeLists.txt ===
# Generated from qtdeclarative.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtDeclarative # special case
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Declarative Libraries" # special case
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# special case begin
# Make sure we only use latest private CMake API, aka no compatibility wrappers.
set(QT_NO_INTERNAL_COMPATIBILITY_FUNCTIONS TRUE)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)
# special case end

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core) # special case
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Gui Network Widgets OpenGL OpenGLWidgets Sql Concurrent Test)

# Set up QT_HOST_PATH as an extra root path to look for the ShaderToolsTools package
# when cross-compiling.
if(NOT "${QT_HOST_PATH}" STREQUAL "")
     set(_qt_backup_qtdeclarative_CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH})
     set(_qt_backup_qtdeclarative_CMAKE_FIND_ROOT_PATH ${CMAKE_FIND_ROOT_PATH})
     list(PREPEND CMAKE_PREFIX_PATH "${QT_HOST_PATH_CMAKE_DIR}")
     list(PREPEND CMAKE_FIND_ROOT_PATH "${QT_HOST_PATH}")
endif()

# This can't use the find_package(Qt6 COMPONENTS) signature, because Qt6Config uses NO_DEFAULT and
# won't look at the prepend extra find root paths.
find_package(Qt6ShaderToolsTools ${PROJECT_VERSION} QUIET CONFIG)

if(NOT "${QT_HOST_PATH}" STREQUAL "")
     set(CMAKE_PREFIX_PATH ${_qt_backup_qtdeclarative_CMAKE_PREFIX_PATH})
     set(CMAKE_FIND_ROOT_PATH ${_qt_backup_qtdeclarative_CMAKE_FIND_ROOT_PATH})
endif()

# Optionally look for the target ShaderTools package to avoid warnings
# when configuring the project to build examples in-tree in a prefix Qt build.
# See QTBUG-96358 for details.
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS ShaderTools)

# special case begin
# export QT6_ADD_QML_MODULE to this project
include(src/qml/Qt6QmlMacros.cmake)
if(ANDROID)
    include("${CMAKE_CURRENT_LIST_DIR}/src/qml/Qt6AndroidQmlMacros.cmake")
endif()
# special case end

if(NOT QT_FEATURE_commandlineparser)
    message(NOTICE "Skipping the build as the condition \"QT_FEATURE_commandlineparser\" is not met.")
    return()
endif()
if(NOT QT_FEATURE_temporaryfile)
    message(NOTICE "Skipping the build as the condition \"QT_FEATURE_temporaryfile\" is not met.")
    return()
endif()
qt_build_repo()

=== src/CMakeLists.txt ===
# Generated from src.pro.
# special case skip regeneration

if (NOT QT_FEATURE_commandlineparser)
    message(FATAL_ERROR "QT_FEATURE_commandlineparser required to compile qmltyperegistrar")
endif()

add_subdirectory(qmltyperegistrar)
add_subdirectory(qml)
add_subdirectory(qmlmodels)

add_subdirectory(core)

if(QT_FEATURE_qml_worker_script)
    add_subdirectory(qmlworkerscript)
endif()

if(TARGET Qt::Sql)
   add_subdirectory(qmllocalstorage)
 endif()

if (QT_FEATURE_qml_xmllistmodel)
    add_subdirectory(qmlxmllistmodel)
endif()

if(TARGET Qt::Gui AND TARGET Qt::qsb AND QT_FEATURE_qml_animation)
    add_subdirectory(quick)
    add_subdirectory(quickshapes)
    add_subdirectory(quicklayouts)

    find_package(Qt6 ${PROJECT_VERSION} CONFIG COMPONENTS Test) # special case
    if(QT_FEATURE_testlib AND TARGET Qt::Test) # special case
        add_subdirectory(qmltest)
        add_subdirectory(quicktestutils)
    endif()

    if(QT_FEATURE_quick_particles)
        add_subdirectory(particles)
    endif()

    if(TARGET Qt::Widgets)
        add_subdirectory(quickwidgets)
    endif()

    add_subdirectory(quicktemplates2)
    add_subdirectory(quickcontrols2impl)
    add_subdirectory(quickcontrols2)
    add_subdirectory(quickdialogs2)
    add_subdirectory(quicknativestyle)

    if(TARGET Qt::QuickControls2)
        add_subdirectory(quickcontrolstestutils)
    endif()
else()
    qt_configure_add_summary_section(NAME "Qt Quick")
    qt_configure_add_summary_entry(TYPE "message" ARGS "Qt Quick support" MESSAGE "no")
    qt_configure_add_report_entry(
        TYPE NOTE
        MESSAGE "Qt Quick modules not built due to not finding the qtshadertools 'qsb' tool."
    )
endif()

add_subdirectory(labs)

# special case begin
# These need to be included here since they have dependencies on the modules
# specified above.
add_subdirectory(plugins)

if(QT_FEATURE_qml_devtools)
    add_subdirectory(qmldevtools)
    add_subdirectory(qmldom)
    add_subdirectory(qmlcompiler)

    # Build qmlcachegen now, so that we can use it in src/imports.
    if(QT_FEATURE_qml_devtools AND QT_FEATURE_xmlstreamwriter)
        add_subdirectory(../tools/qmlcachegen qmlcachegen)
    endif()
endif()

add_subdirectory(imports)

if(QT_FEATURE_qml_network)

    if(QT_FEATURE_thread AND QT_FEATURE_localserver AND QT_FEATURE_qml_debug)
        add_subdirectory(qmldebug)
    endif()
endif()
# special case end

=== tools/CMakeLists.txt ===
# Generated from tools.pro.


qt_exclude_tool_directories_from_default_target(
    qmlprofiler
    qmlplugindump
    qmleasing
)

if(QT_FEATURE_qml_devtools)
    add_subdirectory(qmldom)
    add_subdirectory(qmllint)
    add_subdirectory(qmlimportscanner)
    add_subdirectory(qmlformat)
endif()
if(QT_FEATURE_qml_devtools AND QT_FEATURE_xmlstreamwriter)
    # special case begin
    # Do not build qmlcachegen here but build it at src/
    # time, so that we can use it for our own .qml files in src/imports.
    # add_subdirectory(qmlcachegen)
    # special case end
endif()
if(QT_FEATURE_thread AND NOT ANDROID AND NOT WASM AND NOT IOS AND NOT rtems)
    add_subdirectory(qml)
endif()
if(QT_FEATURE_qml_profiler AND QT_FEATURE_thread AND NOT ANDROID AND NOT WASM AND NOT rtems)
    add_subdirectory(qmlprofiler)
endif()
if(QT_FEATURE_qml_preview AND QT_FEATURE_thread AND NOT ANDROID AND NOT WASM AND NOT IOS AND NOT rtems)
    add_subdirectory(qmlpreview)
endif()
if(QT_BUILD_SHARED_LIBS AND QT_FEATURE_thread AND TARGET Qt::Quick AND NOT ANDROID AND NOT WASM AND NOT IOS AND NOT rtems)
    add_subdirectory(qmlscene)
    add_subdirectory(qmltime)
endif()
if(QT_BUILD_SHARED_LIBS AND QT_FEATURE_process AND QT_FEATURE_regularexpression AND QT_FEATURE_thread AND TARGET Qt::Quick AND NOT ANDROID AND NOT WASM AND NOT rtems)
    add_subdirectory(qmlplugindump)
endif()
if(TARGET Qt::Quick
        AND TARGET Qt::Widgets
        AND QT_FEATURE_checkbox
        AND QT_FEATURE_combobox
        AND QT_FEATURE_dialogbuttonbox
        AND QT_FEATURE_formlayout
        AND QT_FEATURE_groupbox
        AND QT_FEATURE_lineedit
        AND QT_FEATURE_mainwindow
        AND QT_FEATURE_spinbox
        AND QT_FEATURE_textedit
        AND NOT ANDROID
        AND NOT WASM
        AND NOT rtems)
    add_subdirectory(qmleasing)
endif()
if(QT_FEATURE_thread AND TARGET Qt::QuickTest AND NOT ANDROID AND NOT WASM AND NOT rtems)
    add_subdirectory(qmltestrunner)
endif()
if(QT_FEATURE_private_tests AND QT_FEATURE_thread AND NOT ANDROID AND NOT WASM AND NOT IOS AND NOT rtems)
    add_subdirectory(qmljs)
endif()
if (QT_FEATURE_private_tests AND NOT CMAKE_CROSSCOMPILING)
    add_subdirectory(qmljsrootgen)
endif()

=== examples/qml/CMakeLists.txt ===
# Generated from qml.pro.

qt_internal_add_example(dynamicscene)
add_subdirectory(referenceexamples)
add_subdirectory(tutorials)
qt_internal_add_example(shell)
if(TARGET Qt::Quick)
    qt_internal_add_example(qmlextensionplugins)
    qt_internal_add_example(xmlhttprequest)
endif()
if(QT_FEATURE_qml_network AND TARGET Qt::Quick)
    qt_internal_add_example(networkaccessmanagerfactory)
endif()

=== src/labs/CMakeLists.txt ===
if(QT_FEATURE_settings)
    add_subdirectory(settings)
endif()

add_subdirectory(models)

if(QT_FEATURE_qml_itemmodel)
    add_subdirectory(folderlistmodel)
endif()

if(TARGET Qt::Quick)
    add_subdirectory(animation)
endif()

if(TARGET Qt::QuickTemplates2)
    add_subdirectory(platform)
endif()

if(QT_FEATURE_quick_shadereffect AND TARGET Qt::Quick)
    add_subdirectory(wavefrontmesh)
endif()

if(QT_FEATURE_systemsemaphore AND TARGET Qt::Quick)
    add_subdirectory(sharedimage)
endif()

=== src/qml/CMakeLists.txt ===
include(Qt6QmlBuildInternals.cmake)

#####################################################################
## Qml Module:
#####################################################################

# Need to evaluate Qml features early. We can't wait until
# qt_internal_add_qml_module() is executed because we need feature evaluation
# to determine some of the arguments to that command.
qt_feature_evaluate_features("${CMAKE_CURRENT_SOURCE_DIR}/configure.cmake")

set(module_dynamic_qml_imports
    QtQml.Models/auto
)

if (QT_FEATURE_qml_worker_script)
    list(APPEND module_dynamic_qml_imports
        QtQml.WorkerScript/auto
    )
endif()

set(extra_cmake_files)
set(extra_cmake_includes)
if(ANDROID)
    list(APPEND extra_cmake_files
        "${CMAKE_CURRENT_LIST_DIR}/${INSTALL_CMAKE_NAMESPACE}AndroidQmlMacros.cmake")
    list(APPEND extra_cmake_includes
        "${INSTALL_CMAKE_NAMESPACE}AndroidQmlMacros.cmake")
endif()

qt_internal_add_qml_module(Qml
    URI "QtQml"
    VERSION "${PROJECT_VERSION}"
    DESIGNER_SUPPORTED
    PLUGIN_TARGET qmlplugin
    CLASS_NAME QtQmlPlugin
    IMPORTS ${module_dynamic_qml_imports}
    PLUGIN_TYPES qmltooling
    SOURCES
        ../3rdparty/masm/assembler/ARM64Assembler.h
        ../3rdparty/masm/assembler/ARMv7Assembler.cpp ../3rdparty/masm/assembler/ARMv7Assembler.h
        ../3rdparty/masm/assembler/AbstractMacroAssembler.h
        ../3rdparty/masm/assembler/AssemblerBuffer.h
        ../3rdparty/masm/assembler/AssemblerBufferWithConstantPool.h
        ../3rdparty/masm/assembler/CodeLocation.h
        ../3rdparty/masm/assembler/LinkBuffer.cpp ../3rdparty/masm/assembler/LinkBuffer.h
        ../3rdparty/masm/assembler/MIPSAssembler.h
        ../3rdparty/masm/assembler/MacroAssembler.h
        ../3rdparty/masm/assembler/MacroAssemblerARM64.h
        ../3rdparty/masm/assembler/MacroAssemblerARMv7.h
        ../3rdparty/masm/assembler/MacroAssemblerCodeRef.h
        ../3rdparty/masm/assembler/MacroAssemblerMIPS.h
        ../3rdparty/masm/assembler/MacroAssemblerX86.h
        ../3rdparty/masm/assembler/MacroAssemblerX86Common.h
        ../3rdparty/masm/assembler/MacroAssemblerX86_64.h
        ../3rdparty/masm/assembler/X86Assembler.h
        ../3rdparty/masm/assembler/ARMv7Assembler.cpp
        ../3rdparty/masm/disassembler/ARM64/A64DOpcode.cpp ../3rdparty/masm/disassembler/ARM64/A64DOpcode.h
        ../3rdparty/masm/disassembler/ARM64Disassembler.cpp
        ../3rdparty/masm/disassembler/ARMv7/ARMv7DOpcode.cpp ../3rdparty/masm/disassembler/ARMv7/ARMv7DOpcode.h
        ../3rdparty/masm/disassembler/ARMv7Disassembler.cpp
        ../3rdparty/masm/disassembler/Disassembler.cpp
        ../3rdparty/masm/disassembler/Mips32Disassembler.cpp
        ../3rdparty/masm/disassembler/UDis86Disassembler.cpp
        ../3rdparty/masm/disassembler/mips32/Mips32Opcode.cpp ../3rdparty/masm/disassembler/mips32/Mips32Opcode.h
        ../3rdparty/masm/stubs/Options.cpp
        ../3rdparty/masm/stubs/WTFStubs.cpp ../3rdparty/masm/stubs/WTFStubs.h
        ../3rdparty/masm/stubs/wtf/FastAllocBase.h
        ../3rdparty/masm/stubs/wtf/FastMalloc.h
        ../3rdparty/masm/stubs/wtf/Noncopyable.h
        ../3rdparty/masm/stubs/wtf/OwnPtr.h
        ../3rdparty/masm/stubs/wtf/PassOwnPtr.h
        ../3rdparty/masm/stubs/wtf/PassRefPtr.h
        ../3rdparty/masm/stubs/wtf/RefCounted.h
        ../3rdparty/masm/stubs/wtf/RefPtr.h
        ../3rdparty/masm/stubs/wtf/TypeTraits.h
        ../3rdparty/masm/stubs/wtf/UnusedParam.h
        ../3rdparty/masm/stubs/wtf/Vector.h
        ../3rdparty/masm/stubs/yarr/YarrUnicodeProperties.cpp
        ../3rdparty/masm/wtf/ASCIICType.h
        ../3rdparty/masm/wtf/Assertions.h
        ../3rdparty/masm/wtf/Atomics.h
        ../3rdparty/masm/wtf/BumpPointerAllocator.h
        ../3rdparty/masm/wtf/CheckedArithmetic.h
        ../3rdparty/masm/wtf/Compiler.h
        ../3rdparty/masm/wtf/CryptographicallyRandomNumber.h
        ../3rdparty/masm/wtf/DataLog.h
        ../3rdparty/masm/wtf/DynamicAnnotations.h
        ../3rdparty/masm/wtf/EnumClass.h
        ../3rdparty/masm/wtf/FeatureDefines.h
        ../3rdparty/masm/wtf/FilePrintStream.cpp ../3rdparty/masm/wtf/FilePrintStream.h
        ../3rdparty/masm/wtf/Locker.h
        ../3rdparty/masm/wtf/MathExtras.h
        ../3rdparty/masm/wtf/NotFound.h
        ../3rdparty/masm/wtf/NullPtr.h
        ../3rdparty/masm/wtf/OSAllocator.h
        ../3rdparty/masm/wtf/PageAllocation.h
        ../3rdparty/masm/wtf/PageAllocationAligned.cpp ../3rdparty/masm/wtf/PageAllocationAligned.h
        ../3rdparty/masm/wtf/PageBlock.cpp ../3rdparty/masm/wtf/PageBlock.h
        ../3rdparty/masm/wtf/PageReservation.h
        ../3rdparty/masm/wtf/Platform.h
        ../3rdparty/masm/wtf/PossiblyNull.h
        ../3rdparty/masm/wtf/PrintStream.cpp ../3rdparty/masm/wtf/PrintStream.h
        ../3rdparty/masm/wtf/RawPointer.h
        ../3rdparty/masm/wtf/SegmentedVector.h
        ../3rdparty/masm/wtf/StdLibExtras.h
        ../3rdparty/masm/wtf/VMTags.h
        ../3rdparty/masm/yarr/Yarr.h
        ../3rdparty/masm/yarr/YarrCanonicalizeUCS2.cpp ../3rdparty/masm/yarr/YarrCanonicalizeUCS2.h
        ../3rdparty/masm/yarr/YarrCanonicalizeUnicode.cpp
        ../3rdparty/masm/yarr/YarrInterpreter.cpp ../3rdparty/masm/yarr/YarrInterpreter.h
        ../3rdparty/masm/yarr/YarrJIT.cpp ../3rdparty/masm/yarr/YarrJIT.h
        ../3rdparty/masm/yarr/YarrParser.h
        ../3rdparty/masm/yarr/YarrPattern.cpp ../3rdparty/masm/yarr/YarrPattern.h
        ../3rdparty/masm/yarr/YarrSyntaxChecker.cpp ../3rdparty/masm/yarr/YarrSyntaxChecker.h
        ../3rdparty/masm/yarr/YarrUnicodeProperties.h
        common/qjsnumbercoercion.cpp common/qjsnumbercoercion.h
        common/qqmljsdiagnosticmessage_p.h
        common/qqmljsfixedpoolarray_p.h
        common/qqmljsmemorypool_p.h
        common/qqmljssourcelocation_p.h
        common/qv4alloca_p.h
        common/qv4calldata_p.h
        common/qv4compileddata_p.h
        common/qv4staticvalue_p.h
        common/qv4stringtoarrayindex_p.h
        compiler/qqmlirbuilder.cpp compiler/qqmlirbuilder_p.h
        compiler/qv4bytecodegenerator.cpp compiler/qv4bytecodegenerator_p.h
        compiler/qv4bytecodehandler.cpp compiler/qv4bytecodehandler_p.h
        compiler/qv4codegen.cpp compiler/qv4codegen_p.h
        compiler/qv4compiler.cpp compiler/qv4compiler_p.h
        compiler/qv4compilercontext.cpp compiler/qv4compilercontext_p.h
        compiler/qv4compilercontrolflow_p.h
        compiler/qv4compilerglobal_p.h
        compiler/qv4compilerscanfunctions.cpp compiler/qv4compilerscanfunctions_p.h
        compiler/qv4instr_moth.cpp compiler/qv4instr_moth_p.h
        compiler/qv4util_p.h
        debugger/qqmldebug.h
        debugger/qqmldebugconnector_p.h
        debugger/qqmldebugserviceinterfaces_p.h
        debugger/qqmldebugstatesdelegate_p.h
        debugger/qqmlprofiler_p.h
        inlinecomponentutils_p.h
        jsapi/qjsengine.cpp jsapi/qjsengine.h jsapi/qjsengine_p.h
        jsapi/qjsmanagedvalue.cpp jsapi/qjsmanagedvalue.h
        jsapi/qjsprimitivevalue.cpp jsapi/qjsprimitivevalue.h
        jsapi/qjsvalue.cpp jsapi/qjsvalue.h jsapi/qjsvalue_p.h
        jsapi/qjsvalueiterator.cpp jsapi/qjsvalueiterator.h jsapi/qjsvalueiterator_p.h
        jsruntime/qv4argumentsobject.cpp jsruntime/qv4argumentsobject_p.h
        jsruntime/qv4arraybuffer.cpp jsruntime/qv4arraybuffer_p.h
        jsruntime/qv4arraydata.cpp jsruntime/qv4arraydata_p.h
        jsruntime/qv4arrayiterator.cpp jsruntime/qv4arrayiterator_p.h
        jsruntime/qv4arrayobject.cpp jsruntime/qv4arrayobject_p.h
        jsruntime/qv4atomics.cpp jsruntime/qv4atomics_p.h
        jsruntime/qv4booleanobject.cpp jsruntime/qv4booleanobject_p.h
        jsruntime/qv4compilationunitmapper.cpp jsruntime/qv4compilationunitmapper_p.h
        jsruntime/qv4context.cpp jsruntime/qv4context_p.h
        jsruntime/qv4dataview.cpp jsruntime/qv4dataview_p.h
        jsruntime/qv4dateobject.cpp jsruntime/qv4dateobject_p.h
        jsruntime/qv4debugging_p.h
        jsruntime/qv4engine.cpp jsruntime/qv4engine_p.h
        jsruntime/qv4enginebase_p.h
        jsruntime/qv4errorobject.cpp jsruntime/qv4errorobject_p.h
        jsruntime/qv4estable.cpp jsruntime/qv4estable_p.h
        jsruntime/qv4executableallocator.cpp jsruntime/qv4executableallocator_p.h
        jsruntime/qv4executablecompilationunit.cpp jsruntime/qv4executablecompilationunit_p.h
        jsruntime/qv4function.cpp jsruntime/qv4function_p.h
        jsruntime/qv4functionobject.cpp jsruntime/qv4functionobject_p.h
        jsruntime/qv4functiontable_p.h
        jsruntime/qv4generatorobject.cpp jsruntime/qv4generatorobject_p.h
        jsruntime/qv4global_p.h
        jsruntime/qv4globalobject.cpp jsruntime/qv4globalobject_p.h
        jsruntime/qv4identifierhash.cpp jsruntime/qv4identifierhash_p.h
        jsruntime/qv4identifierhashdata_p.h
        jsruntime/qv4identifiertable.cpp jsruntime/qv4identifiertable_p.h
        jsruntime/qv4include.cpp jsruntime/qv4include_p.h
        jsruntime/qv4internalclass.cpp jsruntime/qv4internalclass_p.h
        jsruntime/qv4iterator.cpp jsruntime/qv4iterator_p.h
        jsruntime/qv4jscall_p.h jsruntime/qv4jscall.cpp
        jsruntime/qv4jsonobject.cpp jsruntime/qv4jsonobject_p.h
        jsruntime/qv4lookup.cpp jsruntime/qv4lookup_p.h
        jsruntime/qv4managed.cpp jsruntime/qv4managed_p.h
        jsruntime/qv4mapiterator.cpp jsruntime/qv4mapiterator_p.h
        jsruntime/qv4mapobject.cpp jsruntime/qv4mapobject_p.h
        jsruntime/qv4math_p.h
        jsruntime/qv4mathobject.cpp jsruntime/qv4mathobject_p.h
        jsruntime/qv4memberdata.cpp jsruntime/qv4memberdata_p.h
        jsruntime/qv4module.cpp jsruntime/qv4module_p.h
        jsruntime/qv4numberobject.cpp jsruntime/qv4numberobject_p.h
        jsruntime/qv4object.cpp jsruntime/qv4object_p.h
        jsruntime/qv4objectiterator.cpp jsruntime/qv4objectiterator_p.h
        jsruntime/qv4objectproto.cpp jsruntime/qv4objectproto_p.h
        jsruntime/qv4persistent.cpp jsruntime/qv4persistent_p.h
        jsruntime/qv4profiling_p.h
        jsruntime/qv4promiseobject.cpp jsruntime/qv4promiseobject_p.h
        jsruntime/qv4property_p.h
        jsruntime/qv4propertykey.cpp jsruntime/qv4propertykey_p.h
        jsruntime/qv4proxy.cpp jsruntime/qv4proxy_p.h
        jsruntime/qv4qmlcontext.cpp jsruntime/qv4qmlcontext_p.h
        jsruntime/qv4qobjectwrapper.cpp jsruntime/qv4qobjectwrapper_p.h
        jsruntime/qv4reflect.cpp jsruntime/qv4reflect_p.h
        jsruntime/qv4regexp.cpp jsruntime/qv4regexp_p.h
        jsruntime/qv4regexpobject.cpp jsruntime/qv4regexpobject_p.h
        jsruntime/qv4resolvedtypereference.cpp jsruntime/qv4resolvedtypereference_p.h
        jsruntime/qv4runtime.cpp jsruntime/qv4runtime_p.h
        jsruntime/qv4runtimeapi_p.h
        jsruntime/qv4runtimecodegen.cpp jsruntime/qv4runtimecodegen_p.h
        jsruntime/qv4scopedvalue_p.h
        jsruntime/qv4script.cpp jsruntime/qv4script_p.h
        jsruntime/qv4setiterator.cpp jsruntime/qv4setiterator_p.h
        jsruntime/qv4setobject.cpp jsruntime/qv4setobject_p.h
        jsruntime/qv4sparsearray.cpp jsruntime/qv4sparsearray_p.h
        jsruntime/qv4stackframe.cpp jsruntime/qv4stackframe_p.h
        jsruntime/qv4string.cpp jsruntime/qv4string_p.h
        jsruntime/qv4stringiterator.cpp jsruntime/qv4stringiterator_p.h
        jsruntime/qv4stringobject.cpp jsruntime/qv4stringobject_p.h
        jsruntime/qv4symbol.cpp jsruntime/qv4symbol_p.h
        jsruntime/qv4typedarray.cpp jsruntime/qv4typedarray_p.h
        jsruntime/qv4urlobject.cpp jsruntime/qv4urlobject_p.h
        jsruntime/qv4value.cpp jsruntime/qv4value_p.h
        jsruntime/qv4variantobject.cpp jsruntime/qv4variantobject_p.h
        jsruntime/qv4vme_moth.cpp jsruntime/qv4vme_moth_p.h
        jsruntime/qv4vtable_p.h
        memory/qv4heap_p.h
        memory/qv4mm.cpp memory/qv4mm_p.h
        memory/qv4mmdefs_p.h
        memory/qv4writebarrier_p.h
        parser/qqmljsast.cpp parser/qqmljsast_p.h
        parser/qqmljsastfwd_p.h

=== src/qmlcompiler/CMakeLists.txt ===
qt_internal_add_module(QmlCompilerPrivate
    STATIC
    INTERNAL_MODULE
    SOURCES
        qcoloroutput_p.h qcoloroutput.cpp
        qdeferredpointer_p.h
        qqmljslogger_p.h qqmljslogger.cpp
        qqmljscompiler.cpp qqmljscompiler_p.h
        qqmljsimporter.cpp qqmljsimporter_p.h
        qqmljsimportvisitor.cpp qqmljsimportvisitor_p.h
        qqmljsloadergenerator.cpp qqmljsloadergenerator_p.h
        qqmljsmetatypes_p.h
        qqmljsresourcefilemapper.cpp qqmljsresourcefilemapper_p.h
        qqmljsscope.cpp qqmljsscope_p.h
        qqmljsscopesbyid_p.h
        qqmljsstreamwriter.cpp qqmljsstreamwriter_p.h
        qqmljstypedescriptionreader.cpp qqmljstypedescriptionreader_p.h
        qqmljstypereader.cpp qqmljstypereader_p.h
        qresourcerelocater.cpp qresourcerelocater_p.h
        qqmljsannotation_p.h qqmljsannotation.cpp
    PUBLIC_LIBRARIES
        Qt::CorePrivate
)

qt_internal_add_resource(QmlCompilerPrivate "builtins"
    PREFIX
        "/qt-project.org/qml/builtins"
    BASE
        "${CMAKE_CURRENT_SOURCE_DIR}/../imports/builtins/"
    FILES
        "${CMAKE_CURRENT_SOURCE_DIR}/../imports/builtins/builtins.qmltypes"
        "${CMAKE_CURRENT_SOURCE_DIR}/../imports/builtins/jsroot.qmltypes"
)

add_dependencies(QmlCompilerPrivate QmlDevToolsPrivate)
get_target_property(devtools_includes QmlDevToolsPrivate EXTRA_INCLUDE_DIRECTORIES)
target_include_directories(QmlCompilerPrivate PUBLIC ${devtools_includes})
target_compile_definitions(QmlCompilerPrivate PUBLIC QT_QMLDEVTOOLS_LIB)

=== src/qmldebug/CMakeLists.txt ===
# Generated from qmldebug.pro.

#####################################################################
## QmlDebugPrivate Module:
#####################################################################

qt_internal_add_module(QmlDebugPrivate
    STATIC
    INTERNAL_MODULE
    SOURCES
        qqmldebugclient.cpp qqmldebugclient_p.h
        qqmldebugclient_p_p.h
        qqmldebugconnection.cpp qqmldebugconnection_p.h
        qqmldebugmessageclient.cpp qqmldebugmessageclient_p.h
        qqmldebugtranslationclient.cpp qqmldebugtranslationclient_p.h
        qqmlenginecontrolclient.cpp qqmlenginecontrolclient_p.h
        qqmlenginecontrolclient_p_p.h
        qqmlenginedebugclient.cpp qqmlenginedebugclient_p.h
        qqmlenginedebugclient_p_p.h
        qqmlinspectorclient.cpp qqmlinspectorclient_p.h
        qqmlinspectorclient_p_p.h
        qqmlpreviewclient.cpp qqmlpreviewclient_p.h
        qqmlpreviewclient_p_p.h
        qqmlprofilerclient.cpp qqmlprofilerclient_p.h
        qqmlprofilerclient_p_p.h
        qqmlprofilerclientdefinitions_p.h
        qqmlprofilerevent.cpp qqmlprofilerevent_p.h
        qqmlprofilereventlocation.cpp qqmlprofilereventlocation_p.h
        qqmlprofilereventreceiver_p.h
        qqmlprofilereventtype.cpp qqmlprofilereventtype_p.h
        qqmlprofilertypedevent.cpp qqmlprofilertypedevent_p.h
        qv4debugclient.cpp qv4debugclient_p.h
        qv4debugclient_p_p.h
    PUBLIC_LIBRARIES
        Qt::CorePrivate
        Qt::Network
        Qt::PacketProtocolPrivate
        Qt::QmlPrivate
)

=== src/qmldom/CMakeLists.txt ===
# Generated from qmldom.pro.

#####################################################################
## QmlDomPrivate Module:
#####################################################################

qt_internal_add_module(QmlDomPrivate
    STATIC
    INTERNAL_MODULE
    # NO_SYNC_QT # special case remove, it's actually needed for tests
    SOURCES
        qqmldom_fwd_p.h
        qqmldom_global.h
        qqmldomastcreator.cpp qqmldomastcreator_p.h
        qqmldomastdumper.cpp qqmldomastdumper_p.h
        qqmldomattachedinfo.cpp qqmldomattachedinfo_p.h
        qqmldomcomments.cpp qqmldomcomments_p.h
        qqmldomcompare.cpp qqmldomcompare_p.h
        qqmldomconstants_p.h
        qqmldomelements.cpp qqmldomelements_p.h
        qqmldomerrormessage.cpp qqmldomerrormessage_p.h
        qqmldomexternalitems.cpp qqmldomexternalitems_p.h
        qqmldomfieldfilter.cpp qqmldomfieldfilter_p.h
        qqmldomfilewriter.cpp qqmldomfilewriter_p.h
        qqmldomfunctionref_p.h
        qqmldomitem.cpp qqmldomitem_p.h
        qqmldommock.cpp qqmldommock_p.h
        qqmldomlinewriter.cpp qqmldomlinewriter_p.h
        qqmldommoduleindex.cpp qqmldommoduleindex_p.h
        qqmldomoutwriter.cpp qqmldomoutwriter_p.h
        qqmldompath.cpp qqmldompath_p.h
        qqmldomstringdumper.cpp qqmldomstringdumper_p.h
        qqmldomreformatter.cpp qqmldomreformatter_p.h
        qqmldomtop.cpp qqmldomtop_p.h
    DEFINES
        QMLDOM_LIBRARY
    PUBLIC_LIBRARIES
        Qt::CorePrivate
        Qt::QmlDevToolsPrivate
)

#### Keys ignored in scope 1:.:.:qmldom.pro:<TRUE>:
# _OPTION = "host_build"

=== src/qmlmodels/CMakeLists.txt ===
#####################################################################
## QmlModels Module:
#####################################################################

qt_internal_add_qml_module(QmlModels
    URI "QtQml.Models"
    VERSION "${PROJECT_VERSION}"
    DESIGNER_SUPPORTED
    PLUGIN_TARGET modelsplugin
    CLASS_NAME QtQmlModelsPlugin
    SOURCES
        qqmlchangeset.cpp qqmlchangeset_p.h
        qqmlmodelsmodule_p.h
        qtqmlmodelsglobal.h qtqmlmodelsglobal_p.h
    DEFINES
        QT_NO_FOREACH
        QT_NO_INTEGER_EVENT_COORDINATES
        QT_NO_URL_CAST_FROM_STRING
    LIBRARIES
        Qt::CorePrivate
        Qt::QmlPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Qml
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::QmlPrivate
)

qt_internal_extend_target(QmlModels CONDITION QT_FEATURE_qml_object_model
    SOURCES
        qqmlinstantiator.cpp qqmlinstantiator_p.h
        qqmlinstantiator_p_p.h
        qqmlobjectmodel.cpp qqmlobjectmodel_p.h
)

qt_internal_extend_target(QmlModels CONDITION QT_FEATURE_qml_table_model
    SOURCES
        qqmltableinstancemodel.cpp qqmltableinstancemodel_p.h
)

qt_internal_extend_target(QmlModels CONDITION QT_FEATURE_qml_list_model
    SOURCES
        qqmllistmodel.cpp qqmllistmodel_p.h
        qqmllistmodel_p_p.h
        qqmllistmodelworkeragent.cpp qqmllistmodelworkeragent_p.h
)

qt_internal_extend_target(QmlModels CONDITION QT_FEATURE_qml_delegate_model
    SOURCES
        qqmlabstractdelegatecomponent.cpp qqmlabstractdelegatecomponent_p.h
        qqmladaptormodel.cpp qqmladaptormodel_p.h
        qqmldelegatemodel.cpp qqmldelegatemodel_p.h
        qqmldelegatemodel_p_p.h
        qqmllistaccessor.cpp qqmllistaccessor_p.h
        qqmllistcompositor.cpp qqmllistcompositor_p.h
        qquickpackage.cpp qquickpackage_p.h
)
qt_internal_add_docs(QmlModels
    doc/qtqmlmodels.qdocconf
)

=== src/qmltest/CMakeLists.txt ===
#####################################################################
## QuickTest Module:
#####################################################################

set_source_files_properties(testlogger.js PROPERTIES
    QT_QML_SKIP_QMLDIR_ENTRY TRUE
)

qt_internal_add_qml_module(QuickTest
    URI "QtTest"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 1
    DEPENDENCIES
        QtQuick.Window
    CONFIG_MODULE_NAME qmltest
    QMAKE_MODULE_CONFIG $${QT.testlib.CONFIG}
    SOURCES
        qtestoptions_p.h
        quicktest.cpp quicktest.h quicktest_p.h
        quicktestevent.cpp quicktestevent_p.h
        quicktestglobal.h quicktestglobal_p.h
        quicktestresult.cpp quicktestresult_p.h
        quicktestutil.cpp quicktestutil_p.h
    QML_FILES
        TestCase.qml
        SignalSpy.qml
        testlogger.js
    DEFINES
        QT_NO_FOREACH
        QT_NO_URL_CAST_FROM_STRING
        QT_BUILD_QMLTEST_LIB
    LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::QmlPrivate
        Qt::Quick
        Qt::QuickPrivate
        Qt::TestPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Test
    PRIVATE_MODULE_INTERFACE
        Qt::TestPrivate
)

qt_internal_extend_target(QuickTest CONDITION QT_FEATURE_qml_debug
    DEFINES
        QT_QML_DEBUG_NO_WARNING
)
qt_internal_add_docs(QuickTest
    doc/qtqmltest.qdocconf
)

=== src/qmlxmllistmodel/CMakeLists.txt ===
qt_internal_add_qml_module(QmlXmlListModel
    URI "QtQml.XmlListModel"
    VERSION "${PROJECT_VERSION}"
    PLUGIN_TARGET qmlxmllistmodelplugin
    CLASS_NAME QtQmlXmlListModelPlugin
    DEPENDENCIES
        QtQml
    SOURCES
        qqmlxmllistmodel_p.h qqmlxmllistmodel.cpp
        qtqmlxmllistmodelglobal_p.h
    DEFINES
        QT_BUILD_QMLXMLLISTMODEL_LIB
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Qml
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
)

qt_internal_add_docs(QmlXmlListModel
    doc/qtqmlxmllistmodel.qdocconf
)

=== debian/changelog ===
qt6-declarative (6.2.4+dfsg-3ubuntu1) jammy; urgency=medium

  * Merge from debian. Remaining changes:
    - Mark a symbol optional to prevent FTBFS on ppc64el.
    - Increase required libqt6shadertools6-dev to (>= 6.2.4-2~)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Apr 2022 09:19:56 +0100

qt6-declarative (6.2.4+dfsg-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 12 Apr 2022 07:50:51 +0200

qt6-declarative (6.2.4+dfsg-2ubuntu1) jammy; urgency=medium

  * Merge from debian. Remaining changes:
    - Mark a symbol optional to prevent FTBFS on ppc64el.

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Mar 2022 14:02:03 +0100

qt6-declarative (6.2.4+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 28 Mar 2022 12:49:02 +0200

qt6-declarative (6.2.4+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.
  * Update ABI to 6.2.4.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 27 Mar 2022 18:40:14 +0200

qt6-declarative (6.2.2+dfsg-4ubuntu1) jammy; urgency=medium

  * Mark a symbol optional to prevent FTBFS on ppc64el.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Feb 2022 20:39:47 +0000

qt6-declarative (6.2.2+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 21:55:41 +0100

qt6-declarative (6.2.2+dfsg-3) experimental; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update symbols files from the logs of buildds; limit Linux-only symbols as
    well.
  * Limit the liblttng-ust-dev build dependency as linux-any, as it is specific
    to Linux.

  [ Patrick Franz ]
  * Remove copyright-script as it is now in the pkg-kde-tools package.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Jan 2022 15:17:06 +0100

=== debian/control ===
Source: qt6-declarative
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               liblttng-ust-dev [linux-any],
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libqt6shadertools6-dev (>= 6.2.4-2~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-declarative.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-declarative
Rules-Requires-Root: no

Package: libqt6qml6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Provides: qt6-declarative-abi (= 6.2.4)
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libgl1, libglx-mesa0
Suggests: qt6-qmltooling-plugins
Description: Qt 6 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt QML module provides a framework for developing applications and
 libraries with the QML language. It defines and implements the language
 and engine infrastructure, and provides an API to enable application
 developers to extend the QML language with custom types and integrate
 QML code with JavaScript and C++.

Package: libqt6labsanimation6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Labs Animation library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Labs Animation support library.

Package: libqt6labsfolderlistmodel6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Labs FolderListModel library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Labs FolderListModel support library.

Package: libqt6labsqmlmodels6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Labs QML Models library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Labs QML Models support library.

Package: libqt6labssettings6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Labs Settings library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Labs Settings support library.

Package: libqt6labssharedimage6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Labs Shared Image library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Labs Shared Image support library.

Package: libqt6labswavefrontmesh6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Labs WavefrontMesh library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Labs WavefrontMesh support library.

Package: libqt6qmlcore6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 QML Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Core support library.

Package: libqt6qmllocalstorage6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 QML Local Storage library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Local Storage support library.

Package: libqt6qmlmodels6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 QML Models library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Models support library.

Package: libqt6qmlworkerscript6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 QML WorkerScript library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML WorkerScript support library.

Package: libqt6qmlxmllistmodel6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 QML XmlListModel library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML XmlListModel support library.

Package: libqt6quick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Quick is a collection of technologies that are designed to help
 developers create the kind of intuitive, modern, fluid user interfaces
 that are increasingly used on mobile phones, media players, set-top
 boxes and other portable devices.

Package: libqt6quickcontrols2-6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick Controls 2 library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Controls 2 support library.

Package: libqt6quickcontrols2impl6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick Controls 2 Impl library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Controls 2 Impl support library.

Package: libqt6quickdialogs2-6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick Dialogs 2 library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Dialogs 2 support library.

Package: libqt6quickdialogs2quickimpl6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick Dialogs 2 Quick Impl library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Dialogs 2 Quick Impl support library.

Package: libqt6quickdialogs2utils6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick Dialogs 2 Utils library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Dialogs 2 Utils support library.

Package: libqt6quicklayouts6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick Layouts library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Layouts support library.

Package: libqt6quickparticles6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick particles library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Particles support library.

Package: libqt6quickshapes6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick Shapes library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Shapes support library.

Package: libqt6quicktemplates2-6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick Templates 2 library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Templates 2 support library.

Package: libqt6quicktest6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick Test library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Test library for QtDeclarative module.

Package: libqt6quickwidgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Widgets library for QtDeclarative module.

Package: qt6-qmltooling-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 qmltooling plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmltooling plugins.

Package: qml6-module-qt-labs-animation
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Animation QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains experimental QML types related to animation.

Package: qml6-module-qt-labs-folderlistmodel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 FolderListModel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The FolderListModel provides a model of the contents of a file system folder.

Package: qml6-module-qt-labs-platform
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Platform QML module

## qt6-declarative 6.3.1+dfsg

=== debian/changelog ===
qt6-declarative (6.3.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sun, 04 Sep 2022 07:34:45 +0200

qt6-declarative (6.3.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Aug 2022 05:19:47 +0200

qt6-declarative (6.3.1+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Aug 2022 11:59:08 +0200

qt6-declarative (6.3.1+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs (Closes: #1013022).

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:03:28 +0200

qt6-declarative (6.3.1+dfsg-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Update symbols files from the logs of buildds.
  * Enable qmlls, the QML Language Server:
    - add the qt6-languageserver-private-dev build dependency
    - backport upstream commit 95665d84fbe3f0a8ef47458bfbd7a3b8837869bc to look
      for the proper CMake module; patch
      upstream_CMake-Look-for-QtLanguageServerPrivate.patch
    - install qmlls in qt6-declarative-dev-tools

  [ Patrick Franz ]
  * Merge changes from 6.2.4+dfsg-6.
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update ABI to 6.3.1.
  * Remove upstream_CMake-Look-for-QtLanguageServerPrivate.patch as it
    has been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Jul 2022 12:23:37 +0200

qt6-declarative (6.3.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 May 2022 17:33:58 +0200

qt6-declarative (6.3.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update ABI to 6.3.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 14:28:18 +0200

qt6-declarative (6.2.4+dfsg-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove dependency to qtchooser as it is dead upstream.

 -- Patrick Franz <deltaone@debian.org>  Fri, 24 Jun 2022 11:17:43 +0200

qt6-declarative (6.2.4+dfsg-5) unstable; urgency=medium

  [ Pino Toscano ]
  * Bump the libqt6shadertools6-dev build dependency to 6.2.4-2, to make sure
    to get the fixes for big endian architectures.

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:35 +0200

qt6-declarative (6.2.4+dfsg-4) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 15 Apr 2022 14:09:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
                debhelper-compat (= 13),
                libgl-dev,
                liblttng-ust-dev [linux-any],
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
-               libqt6shadertools6-dev (>= 6.2.4-2~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6shadertools6-dev (>= 6.3.1~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-Standards-Version: 4.6.0
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-languageserver-private-dev (>= 6.3.1~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-declarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-declarative
@@ -26,7 +27,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qt6-declarative-abi (= 6.2.4)
+Provides: qt6-declarative-abi (= 6.3.1)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: libgl1, libglx-mesa0
 Suggests: qt6-qmltooling-plugins
